# EconomySettings Struct Reference

Settings related to the economy. More...

`#include <settings_type.h>`

## Data Fields
bool | inflation
| disable inflation
bool | bribe
| enable bribing the local authority
bool | smooth_economy
| smooth economy
bool | allow_shares
| allow the buying/selling of shares
uint8 | feeder_payment_share
| percentage of leg payment to virtually pay in feeder systems
byte | dist_local_authority
| distance for town local authority, default 20
bool | exclusive_rights
| allow buying exclusive rights
bool | give_money
| allow giving other companies money
bool | mod_road_rebuild
| roadworks remove unneccesary RoadBits
bool | multiple_industry_per_town
| allow many industries of the same type per town
bool | same_industry_close
| allow same type industries to be built close to each other
uint8 | town_growth_rate
| town growth rate
uint8 | larger_towns
| the number of cities to build. These start off larger and grow twice as fast
uint8 | initial_city_size
| multiplier for the initial size of the cities compared to towns
TownLayoutByte | town_layout
| select town layout,
bool | allow_town_roads
| towns are allowed to build roads (always allowed when generating world / in SE)
TownFoundingByte | found_town
| town founding,
bool | station_noise_level
| build new airports when the town noise level is still within accepted limits
uint16 | town_noise_population [3]
| population to base decision on noise evaluation (

## Detailed Description

Settings related to the economy.

Definition at line 330 of file settings_type.h.

## Field Documentation

TownFoundingByte EconomySettings::found_town

town founding,

See also:
  TownFounding

Definition at line 347 of file settings_type.h.

Referenced by CmdFoundTown().

TownLayoutByte EconomySettings::town_layout

select town layout,

See also:
  TownLayout

Definition at line 345 of file settings_type.h.

Referenced by _GenerateWorld(), and CmdFoundTown().

uint16 EconomySettings::town_noise_population[3]

population to base decision on noise evaluation (

See also:
  town_council_tolerance)

Definition at line 349 of file settings_type.h.

Referenced by Town::MaxTownNoise().

The documentation for this struct was generated from the following file:

- src/settings_type.h